# test for lock-file and create one (Linux,OSF1,..)
#!if test -r tmp/pid; then echo \"Warning: [tmp/pid] is running or was killed (please delete tmp/pid)\"; kill $PPID; sleep 10; else echo $PPID >tmp/pid; fi
# remove (#) on next line to get cpu.log (Linux,IRIX,SunOS,OSF1) ToDo: psr+-m
#! while ps -o pid,pcpu,time,etime,rss,vsz,inblock,oublock,cmd -p $PPID; do sleep 10; done >cpu.log & # for OSF
#! while ps -o pid,pcpu,time,etime,args -p $PPID; do sleep 10; done >cpu.log & # other
verbose=1    # output: +1 time+prec., +2 H-statistics, +4 time consuming checks,
#                      +8 symmetry debugging, +16 disk-I/O, +32 H-elements,
x3 10        # x_p 3, x_max 10 components
#chkpt_mode=0  # 1:store checkpoints, 2,3:set up after crash
#chkpt_load=0 # last checkpoint before crash
# old: set memory limits in daten.i
#maxmem=6e9   # max. vector memory per thread(task?)
#maxfile=10e9 # 10e9=10GB max. matrix filesize(memory) per thread
# new (2011-12): use job-limits or ulimit -v
maxmem=0     # max. vector memory per thread(task?)
maxfile=0    # 10e9=10GB max. matrix filesize(mem) per thread, 0=no_file(mem)
pew=1        # number of EWs for convergence proof 0..NEW-1
nev=0        # number of lowest eigenvectors nev=0..NEV
ne0=0        # offset of lowest eigenvectors ne0=0..NEW-1
max_ea=0     # proof for degeneracy max_ea>0
startvec=4   # 1=(1,0,0,...) 2=load(d0.vec=bin) 3=load(s0.vec=txt)
             # 4=random 5=lowHdiag 6=no_startvec ini+=startvec&~7
z_anisotropy=1.0   # 1.0 for the isotropic case (obsolete, use zN in .def)
xy_anisotropy=1.0  # 1.0 for the isotropic case (obsolete, use zN in .def)
newtime      # reset the internal clock
sisj=4       # bitpattern: 1 <sisj>; 2 <ss>; 4 <mrule>
sym_ud=+1    # spin-inversion (+1,-1,0=off)
sym_k= 0 0 0 # eigenvalues ki of lattice-symmetries (-n to skip n symmetries)
nud=6,34     # number of up and down spins, defines matrix size
param= 1.0, 0.0   # p1, p2, p3 ...  alternative mode: p1= 1.0\n p2=0.0
a0   # start computation
#    # a0=lanczos a2=2x2diag a4=fulldiag +8=test, +16=old_slow_parallel_ns
#!date           # execute date-command
# show multithread CPU balance at end:
#!ps -u $USER -o psr,pcpu,time,bsdtime,etime,minflt,majflt,pagein,rsz,vsz -m
# TEST: (6 -2 2 6) nud=6,34  E0= -2.11313499 SMag= 0.13653284
#                  nud=10,30 E0=-13.57780123
#                  nud=12,28 E0=-18.11159087
#                  nud=14,26 E0=-21.77715233
#!grep TEST\: daten.i
